Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065103 - [abrt] emacs: terminate_due_to_signal(): emacs-24.3 killed by SIGABRT
Summary: [abrt] emacs: terminate_due_to_signal(): emacs-24.3 killed by SIGABRT
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:6b54c2b3a29e1103664133620df...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-13 23:29 UTC by Samium Gromoff
Modified: 2015-04-23 11:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-23 11:11:47 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-02-13 23:29 UTC, Samium Gromoff
no flags Details
File: cgroup (deleted)
2014-02-13 23:29 UTC, Samium Gromoff
no flags Details
File: core_backtrace (deleted)
2014-02-13 23:29 UTC, Samium Gromoff
no flags Details
File: dso_list (deleted)
2014-02-13 23:30 UTC, Samium Gromoff
no flags Details
File: environ (deleted)
2014-02-13 23:30 UTC, Samium Gromoff
no flags Details
File: limits (deleted)
2014-02-13 23:30 UTC, Samium Gromoff
no flags Details
File: maps (deleted)
2014-02-13 23:30 UTC, Samium Gromoff
no flags Details
File: open_fds (deleted)
2014-02-13 23:30 UTC, Samium Gromoff
no flags Details
File: proc_pid_status (deleted)
2014-02-13 23:30 UTC, Samium Gromoff
no flags Details
File: var_log_messages (deleted)
2014-02-13 23:30 UTC, Samium Gromoff
no flags Details

Description Samium Gromoff 2014-02-13 23:29:47 UTC
Description of problem:
M-x helm-ag-r  -- then entering a couple letters -- some result flickers and then Emacs is dead,

 helm-ag-r was changed to have its first line -- the one immediately after (interactive)
to be 
  (setq helm-ag-r-dir-or-file (or file-or-directory (ag/project-root default-directory)))

..

Version-Release number of selected component:
emacs-24.3-13.fc20

Additional info:
reporter:       libreport-2.1.12
backtrace_rating: 4
cmdline:        emacs
crash_function: terminate_due_to_signal
executable:     /usr/bin/emacs-24.3
kernel:         3.11.10-301.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 terminate_due_to_signal at /usr/src/debug/emacs-24.3/src/emacs.c:344
 #2 emacs_abort at /usr/src/debug/emacs-24.3/src/sysdep.c:2152
 #3 multibyte_chars_in_text at /usr/src/debug/emacs-24.3/src/character.c:539
 #4 make_specified_string at /usr/src/debug/emacs-24.3/src/alloc.c:2141
 #5 Ffile_name_as_directory at /usr/src/debug/emacs-24.3/src/fileio.c:544
 #6 Ffuncall at /usr/src/debug/emacs-24.3/src/eval.c:2778
 #7 exec_byte_code at /usr/src/debug/emacs-24.3/src/bytecode.c:900
 #8 funcall_lambda at /usr/src/debug/emacs-24.3/src/eval.c:3010
 #9 Ffuncall at /usr/src/debug/emacs-24.3/src/eval.c:2839
 #10 exec_byte_code at /usr/src/debug/emacs-24.3/src/bytecode.c:900

Comment 1 Samium Gromoff 2014-02-13 23:29:53 UTC
Created attachment 863011 [details]
File: backtrace

Comment 2 Samium Gromoff 2014-02-13 23:29:55 UTC
Created attachment 863012 [details]
File: cgroup

Comment 3 Samium Gromoff 2014-02-13 23:29:57 UTC
Created attachment 863013 [details]
File: core_backtrace

Comment 4 Samium Gromoff 2014-02-13 23:30:00 UTC
Created attachment 863014 [details]
File: dso_list

Comment 5 Samium Gromoff 2014-02-13 23:30:02 UTC
Created attachment 863015 [details]
File: environ

Comment 6 Samium Gromoff 2014-02-13 23:30:04 UTC
Created attachment 863016 [details]
File: limits

Comment 7 Samium Gromoff 2014-02-13 23:30:07 UTC
Created attachment 863017 [details]
File: maps

Comment 8 Samium Gromoff 2014-02-13 23:30:11 UTC
Created attachment 863018 [details]
File: open_fds

Comment 9 Samium Gromoff 2014-02-13 23:30:13 UTC
Created attachment 863019 [details]
File: proc_pid_status

Comment 10 Samium Gromoff 2014-02-13 23:30:16 UTC
Created attachment 863020 [details]
File: var_log_messages

Comment 11 Jan Chaloupka 2014-07-29 08:00:03 UTC
Hi, Samium,

this bug looks interesting to me. Can you reproduce this issue anytime? If so, please install the following rpm

$ cd /tmp
$ wget https://jchaloup.fedorapeople.org/emacs-24.3-18.fc20.x86_64.rpm
# rpm -Uvh emacs-24.3-18.fc20.x86_64.rpm

Then reproduce the issue and upload generated core.

After reproducing, just run
# yum distro-sync emacs

Thank you
Jan

Comment 12 Jan Chaloupka 2014-07-29 11:38:09 UTC
Update
Steps to create core with full backtrace information for emacs:

$ cd /tmp

download the latest emacs build from https://jchaloup.fedorapeople.org for your distribution and architecture (wget can be used). Should be always actual release in fedora + 1.
$ wget  https://jchaloup.fedorapeople.org/emacs-24.3-19.fc20.x86_64.rpm

install downloaded rpm, release can vary
# rpm -Uvh emacs-24.3-19.fc20.x86_64.rpm

Then reproduce the issue and upload generated core.

After reproducing, just run
# yum distro-sync emacs

Comment 13 Jan Chaloupka 2015-04-23 11:11:47 UTC
Hi reporter,

I am closing this bug as backtrace does not contain complete information about this issue. This bug comes under those bugs that are hard to reproduce, backtrace does not contain all necessary data due to optimization or are caused by a known glitch in emacs.

If you manage to reproduce this issue more than once don't hesitate to reopen this bug.

Kind regards


Note You need to log in before you can comment on or make changes to this bug.